Download resource content
curl --request GET \
--url https://api.empirical.run/api/resources/{id}/contentimport requests
url = "https://api.empirical.run/api/resources/{id}/content"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.empirical.run/api/resources/{id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}Resources
Download resource content
Streams an uploaded resource’s content from R2. Authorized by the signed capability URL (HMAC in the query string), not bearer auth.
GET
/
api
/
resources
/
{id}
/
content
Download resource content
Path Parameters
Resource ID.
Required range:
x >= 1Query Parameters
Capability scope: r (read) or w (write).
Available options:
r, w Expiry as a Unix timestamp (seconds).
HMAC signature for the capability.
Response
The resource's binary content.
Binary file content.
Was this page helpful?
⌘I